/*******************(C) COPYRIGHT 2019 GRAND-LOTUS ******************************
;* Project Name        : QT8S736 EEPROM Demo
;* File Name           : QT8S736_EEPROM.C
;* Author              : GRAND LOTUS
;* Version             : V1.00
;* Date                : 2019/07/01
;********************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, RS-IO, BOR 2.4V, EEPROM-Enable
;
;*******************************************************************************/
#include "common.h"
//===============================================================================
//*********************************中断处理函数**********************************
//**********************注：没有使能的中断不要判断中断标志位*********************
//===============================================================================
void int_isr(void) __interrupt	 
{
	__PUSH();                    //进栈、保存A、STATUS
	
//中断处理函数
	__NOP();
	
	__POP();                     //出栈、恢复A、STATUS
}

//===============================================================================
//**********************************程序主函数***********************************
//===============================================================================
void main(void)					//程序主函数
{
	System_Init();              //系统初始化
	Clr_RAM_00H_7FH();          //清零RAM
	while(1)
	{		
		EEPROM_Write_Read();    //EEPROM读写
		__CLRWDT();				//清除看门狗
	}
}

/*********************************END OF FILE************************************/
