/*******************(C) COPYRIGHT 2019 GRAND-LOTUS *****************************
;* File Name          : INT0_INIT.C
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
;*******************************************************************************
;*******************************************************************************
;
;中断模式选择
;
;******************************************************************************/
#include "COMMON.H"
//******************************************************************************
//Bit[3:2] MINT1[1:0]: INT1中断模式选择
//MINT1[1:0] INT1 中断模式选择
//00 上升沿中断
//01 下降沿中断
//1X 变化中断
//Bit[1:0] MINT0[1:0]: INT0中断模式选择
//MINT0[1:0] INT0 中断模式选择
//00 上升沿中断
//01 下降沿中断
//1X 变化中断	
#define				MINT2_UP				Bin(00110000)       //上升沿中断
#define				MINT2_DOWN				Bin(00110001)       //下降沿中断
#define				MINT2_CHANGE			Bin(00110010)       //变化中断

//******************************************************************************
//===========================INT0初始化=========================================
//******************************************************************************	
void INT0_INTERRUPT_INIT(void)
{
//1、端口设置 	
	PUA0=1;		//INT0端口设置为上拉
	OEA0=0;		//INT0端口设置为输入
//2、中断模式选择	
	OPTION=(uchar)(MINT2_DOWN);		//下降沿中断
//3、中断使能
	INT0IE=1;	//使能INT1中断
	INT0IF=0;
	GIE=1;		//使能总中断
}

/*********************************END OF FILE************************************/ 