/*******************(C) COPYRIGHT 2019 GRAND-LOTUS ******************************
;* Project Name        : QT8S736 INT0 Demo
;* File Name           : QT8S736_INT0.C
;* Author              : GRAND LOTUS
;* Version             : V1.00
;* Date                : 2019/07/01
;********************************************************************************
;
;Option: 16M/16T, WDT-Enab1e-288ms, RS-IO, BOR 2.4V, 
;
;*******************************************************************************/
#include "COMMON.H"
//===============================================================================
//********************************程序主函数*************************************
//===============================================================================
void  main(void)                  	//程序主函数
{   
    SYSTEM_INIT();                	//系统初始化
	Clr_RAM_00H_7FH();            	//清零RAM
	INT0_INTERRUPT_INIT();       	//INT0中断初始化
	while(1)
	{
		__CLRWDT();              	//清除看门狗
	}	
}

//===============================================================================
//******************************中断服务子程序***********************************
//=====================注：没有使能的中断不要判断中断标志位======================
//===============================================================================
void  int_isr(void) __interrupt
{  
    __PUSH();                		//进栈、保存A、STATUS
//中断处理函数	
	if(INT0IE)						//检测INT0使能位
	{
		if(INT0IF)					//检测INT0标志位 
		{
			INT0IF = 0;				//清零INT0标志位
//下面加中断中需要的操作  
			__NOP();    	
		}
	}
	
    __POP();                   		//出栈、恢复A、STATUS
   
}

/*********************************END OF FILE************************************/  
