;*******************(C) COPYRIGHT 2019 GRAND-LOTUS ***********************
;* File Name          : PWM0_Init.ASM
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
;*************************************************************************
;
;PWM0初始化
;
;*************************************************************************
;/////////////////////T0CR 控制寄存器各位定义/////////////////////////////
;//***********************************************************************
;//TxCR 定时器控制寄存器
;//TCxEN:  TCx模块使能位
;//1 = 使能TCx
;//0 = 关闭TCx
;//TCxMOD:  TCx模式选择位
;//1 = 16位模式
;//0 = 8位模式
;//TCxCKS:  TCx时钟源选择
;//TCxCKS[1:0]	TCx时钟源选择
;//00	Foscl(低频系统时钟)
;//01	Fosch(高频系统时钟)
;//10	Fcpu
;//11	TC0:(T0cki) TC1:(TK)
;//TCxCKPS[2:0]:  TCx预分频比选择
;//TCxCKPS[2:0]	TCx预分频比
;//000	1:1
;//001	1:2
;//010	1:4
;//011	1:8
;//100	1:16
;//101	1:32
;//110	1:64
;//111	1:128
#DEFINE         TC0EN_0          b'00000000'       		;//1 = 使能TCx
#DEFINE         TC0EN_1          b'10000000'       		;//0 = 关闭TCx
#DEFINE         TC0MOD_8         b'00000000'       		;//0 = 8位模式
#DEFINE         TC0MOD_16        b'01000000'			;//1 = 16位模式
#DEFINE         TC0CKS_Foscl     b'00000000'			;//Foscl(低频系统时钟)
#DEFINE         TC0CKS_Fosch     b'00001000'       		;//Fosch(高频系统时钟)
#DEFINE         TC0CKS_Fcpu      b'00010000'       		;//Fcpu
#DEFINE         TC0CKS_TC0CKI    b'00011000'       		;//T0CKI（TC0）/T1CKI （TC1）
#DEFINE         TC0CKPS_1_1      b'00000000'       		;//1:1分频
#DEFINE         TC0CKPS_1_2      b'00000001'       		;//1:2分频
#DEFINE         TC0CKPS_1_4      b'00000010'       		;//1:4分频
#DEFINE         TC0CKPS_1_8      b'00000011'       		;//1:8分频
#DEFINE         TC0CKPS_1_16     b'00000100'       		;//1:16分频
#DEFINE         TC0CKPS_1_32     b'00000101'       		;//1:32分频
#DEFINE         TC0CKPS_1_64     b'00000110'       		;//1:64分频
#DEFINE         TC0CKPS_1_128    b'00000111'       		;//1:128分频
;//******************************************************************************
;///////////////////////////PWM0CR控制寄存器各位定义/////////////////////////////
;//******************************************************************************
;//Bit 7 PWM0EN: PWM0模块使能位
;//1 = 使能PWM0
;//0 = 关闭PWM0
;//Bit 6 PWM0OE: PWM0输出控制
;//1 = PWM0信号从管脚输出
;//0 = PWM0信号不从管脚输出，管脚用做IO
#DEFINE		    PWM0EN_1		 b'10000000'       		;//PWM0PWM0模块使能位,1 = 使能PWM0
#DEFINE   	    PWM0EN_0     	 b'00000000'       		;//PWM0PWM0模块使能位,0 = 关闭PWM0
#DEFINE		    PWM0OE_1		 b'01000000'       		;//PWM波形输出使能位,1 = 端口输出PWM波形
#DEFINE		    PWM0OE_0		 b'00000000'       		;//PWM波形输出使能位,0 = 端口用作IO
;==========================================================================================
;**************************PWM0设置********************************************************
;==========================================================================================
PWM0_Init:
;//1、IO端口设置
		MOVIA        0x08
		MOVAR        OEB
;//2、时钟源设置(以TC0为例,使其产生1KHz的波形)			
		MOVIA        TC0MOD_8+TC0CKS_Fosch+TC0CKPS_1_64 ;//各模式位的选择 
		MOVAR	     T0CR		               			;//将模式位配置字写入T0CR
		CLRR	     TC0CH                     			;//将TC0CH清零
		MOVIA        249                       			;//将249写入A
		MOVAR	     TC0CL                     			;//16MHz/64/(249+1)=1KHz  
;//3、PWM0设置				
		MOVIA	     PWM0OE_1	               			;//PWM时基选择定时器T0
		MOVAR	     PWM0CR                    			;//PWM0使能,端口输出波形
		MOVIA	     (249+1)/2                 			;//产生占空比为50%的PWM波形
		MOVAR	     PWM0D                     			;//设置数据高位
;//4、开启PWM0	
		BSET         T0CR,7				   	   			;//定时器T0开启
		BSET         PWM0CR,7				   	   		;//PWM0开启			
		RETURN
;*************************END OF FILE*******************************************  		