/*******************(C) COPYRIGHT 2019 GRAND-LOTUS ******************************
* File Name          : PWM0_Init.C
* Author             : GRAND LOTUS
* Version            : V1.00
* Date               : 2019/07/01
********************************************************************************
*
*PWM0初始化
*
******************************************************************************/
#include "common.h"
//==========================================================================================
//******************************************************************************************
/////////////////////T0CR 控制寄存器各位定义////////////////////////////////////////////////
//******************************************************************************************
//Bit 7 TCxEN: TCx模块使能位
//1 = 使能TCx
//0 = 关闭TCx
//Bit 6 TCxMOD: TCx模式选择位
//1 = 16位模式
//0 = 8位模式
//Bit[4:3] TCxCKS: TCx时钟源选择
//00 Foscl(低频系统时钟)
//01 Fosch(高频系统时钟)
//10 Fcpu
//11 T0CKI(TC0)/T1CKI (TC1)
//Bit[2:0] TCxCKPS[2:0]: TCx预分频比选择
//TCxCKPS[2:0] TCx 预分频比
//000 1:1
//001 1:2
//010 1:4
//011 1:8
//100 1:16
//101 1:32
//110 1:64
//111 1:128
#define		TC0EN_1				Bin(10000000)               //使能TC0			
#define   	TC0EN_0     		Bin(00000000)				//屏蔽TC0
#define	  	TC0MOD_16			Bin(01000000)				//16位模式
#define	  	TC0MOD_8			Bin(00000000)				//8位模式
#define		TC0CKS_Foscl		Bin(00000000)				//Foscl(低频系统时钟)
#define		TC0CKS_Fosch		Bin(00001000)				//Fosch(高频系统时钟)
#define		TC0CKS_Fcpu			Bin(00010000)				//Fcpu
#define		TC0CKS_TC0CKI		Bin(00011000)				//TC0CKI(外接信号)
#define		TC0CKPS_1_1			Bin(00000000)				//分频比1：1
#define		TC0CKPS_1_2			Bin(00000001)				//分频比1：2
#define		TC0CKPS_1_4			Bin(00000010)				//分频比1：4
#define		TC0CKPS_1_8			Bin(00000011)				//分频比1：8
#define		TC0CKPS_1_16		Bin(00000100)				//分频比1：16
#define		TC0CKPS_1_32		Bin(00000101)				//分频比1：32
#define		TC0CKPS_1_64		Bin(00000110)				//分频比1：64
#define		TC0CKPS_1_128		Bin(00000111)				//分频比1：128
//******************************************************************************************
/////////////////////PWM0控制寄存器各位定义/////////////////////////////////////////////////
//******************************************************************************************
//Bit 7 PWM0EN: PWM0模块使能位
//1 = 使能PWM0
//0 = 关闭PWM0
//Bit 6 PWM0OE: PWM0输出控制
//1 = PWM0信号从管脚输出
//0 = PWM0信号不从管脚输出，管脚用做IO
#define		    PWM0EN_1		Bin(10000000)       		//PWM0PWM0模块使能位,1 = 使能PWM0
#define   	    PWM0EN_0     	Bin(00000000)       		//PWM0PWM0模块使能位,0 = 关闭PWM0
#define		    PWM0OE_1		Bin(01000000)       		//PWM波形输出使能位,1 = 端口输出PWM波形
#define		    PWM0OE_0		Bin(00000000)       		//PWM波形输出使能位,0 = 端口用作IO
//==========================================================================================
//**************************PWM0设置********************************************************
//==========================================================================================
void PWM0_Init(void)
{
//1、IO端口设置
	OEB3 = 1;												  //IOB3口输出PWM0波形
//2、时钟源设置(以TC0为例,使其产生1kHz的波形)
    T0CR =(unsigned char )(TC0MOD_8 + TC0CKS_Fosch + TC0CKPS_1_64);
    TC0CH = 0;                                                //TC0计数器高位清零
    TC0CL = 249;                                              //16M/64/(249+1)=1KHz 
//3、PWM设置 
    PWM0CR = (unsigned char)(PWM0OE_1);           	
    PWM0D = (249+1)/2;
//4、开启PWM0	                                              //产生占空比为50%的PWM波形
	TC0EN = 1;												  //定时器T0开启
	PWM0EN = 1;												  //PWM0开启 
}
/*********************************END OF FILE**********************************************/ 